# db_verify |

`

###

    db_verify [-NqV] [-h home] file ...

# Description

The db_verify utility verifies the structure of one or more files and the databases they contain.

The options are as follows:

-h
  Specify a home directory for the database environment; by default, the current working directory is used.

-N
  Do not acquire shared region locks while running. Other problems such as potentially fatal errors in Berkeley DB will be ignored as well. This option is intended only for debugging errors and should not be used under any other circumstances.

-q
  Suppress the printing of any error descriptions, simply exit success or failure.

-V
  Write the version number to the standard output and exit.

If the file being verified contains databases using non-default comparison or hashing functions, the db_verify utility may not be used for verification, as it will likely always return failure. Such files must be verified explicitly, using the DB->verify function, after setting the correct comparison or hashing functions.

The db_verify utility may be used with a Berkeley DB environment (as described for the -h option, the environment variable DB_HOME, or, because the utility was run in a directory containing a Berkeley DB environment). In order to avoid environment corruption when using a Berkeley DB environment, db_verify should always be given the chance to detach from the environment and exit gracefully. To cause db_verify to release all environment resources and exit cleanly, send it an interrupt signal (SIGINT).

The db_verify utility exits 0 on success, and >0 if an error occurs.

# Environment Variables

DB_HOME
  If the -h option is not specified and the environment variable DB_HOME is set, it is used as the path of the database home, as described in DBENV->open.

# See Also

berkeley_db_svc, db_archive, db_checkpoint, db_deadlock, db_dump, db_load, db_recover, db_stat, db_upgrade, and db_verify.`

Copyright Sleepycat Software